<?php   require_once("../config.php");
	//who's logged in
	$guid = "";
	if(isset($_SESSION[APP_LOGGEDIN_COOKIE_NAME])) $guid = fnFormInput($_SESSION[APP_LOGGEDIN_COOKIE_NAME]);
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//This is the landing page after a successful login. PHP may or may not make the Session array available
	//after the login redirect (it depends on the server setup). In this case, $guid will still be empty after
	//inspecting the Session var above. For this reason we include an md5 hash in the URL when we do the redirect
	//so we can compare it to the users guid in the database. 
	if($guid == ""){
		if(isset($_GET["id"])){
			$tmp = "SELECT guid FROM " . TBL_USERS . " WHERE MD5(guid) = '" . fnFormInput($_GET["id"]) . "' AND isLoggedIn = '1'";
			$guid = fnGetOneValue($tmp, APP_DB_HOST, APP_DB_NAME, APP_DB_USER, APP_DB_PASS);
			$_SESSION[APP_LOGGEDIN_COOKIE_NAME] = $guid;
		}
	} 
	////////////////////////////////////////////////////////////////////////////////////////////////////////////////
	//user Object
	$thisUser = new User($guid);
	$thisUser -> fnLoggedInReq($guid);
	$thisUser -> fnUpdateLastRequest($guid);
	$userName = fnFormOutput($thisUser->infoArray["firstName"] . " " . $thisUser->infoArray["lastName"]);
	//init page object
	$thisPage = new Page();
	$thisPage->pageTitle = "Account Control Panel | Home";
	//print html...
	echo $thisPage->fnGetPageHeaders();
	echo $thisPage->fnGetBodyStart();
	echo $thisPage->fnGetTopNavBar($thisUser->infoArray['guid']);
?>
<link rel="stylesheet" href="css/converter.css" type="text/css" media="screen" title="no title" charset="utf-8">
<div class='content'>
    <fieldset class='colorLightBg'>
        <!-- left side--> 
        <div class='boxLeft'>
            <div class='contentBox colorDarkBg minHeight'>
                <div class='contentBand colorBandBg'>
                    <?php echo fnFormOutput($userName);?>
                </div>
                <div id="leftNavLinkBox" style='padding:10px;white-space:nowrap;'>
					<?php echo $thisPage->fnGetControlPanelLinks("account", "", "block", ""); ?>
					<hr>
				</div>
             </div>
        </div>
        <!-- right side--> 
        <div class='boxRight'>
        	<div class='contentBox colorLightBg minHeight'>
                <div class='contentBand colorBandBg'>
                  &nbsp;Smugs JSON Converter				  
                </div>
                <center></center>
                <div style='padding:10px;'>
				   <!-- CHANGE THESE VALUES BELOW FOR IFRAME -->
				   <iframe src="./sjcon.php" border="0" border="no" marginwidth="0" scrolling="yes"  width="100%"  height="700" frameBorder="0"></iframe>	
                </div>
            <!--content box-->
            </div>
        <!--box right-->
    	</div>          
    </fieldset>
<?php echo $thisPage->fnGetBottomNavBar();?>
</div>
<?php echo $thisPage->fnGetBodyEnd(); ?>

